summaryrefslogtreecommitdiff
path: root/app/lzo/B/generic/build_gcc.sh
diff options
context:
space:
mode:
authorParménides GV <parmegv@sdf.org>2014-04-09 16:03:55 +0200
committerParménides GV <parmegv@sdf.org>2014-04-09 16:07:34 +0200
commit1684c8f398922065a97e7da4dac4ac6a33cc5218 (patch)
tree76a4b11ae0d7b217c088f3c2b8fc7e69a7b8ae0d /app/lzo/B/generic/build_gcc.sh
parentb9a2b085a8f508cd09e2639c70be845c992c4a3e (diff)
Back to the standard "app" module.
This return to "app" instead of "bitmask_android" is due to this reading: https://developer.android.com/sdk/installing/studio-build.html#projectStructure I'll have to tweak the final apk name in build.gradle.
Diffstat (limited to 'app/lzo/B/generic/build_gcc.sh')
-rwxr-xr-xapp/lzo/B/generic/build_gcc.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/app/lzo/B/generic/build_gcc.sh b/app/lzo/B/generic/build_gcc.sh
new file mode 100755
index 00000000..179d8c0f
--- /dev/null
+++ b/app/lzo/B/generic/build_gcc.sh
@@ -0,0 +1,25 @@
+#! /bin/sh
+# vi:ts=4:et
+set -e
+echo "// Using GNU C compiler."
+echo "//"
+
+test "X${top_srcdir}" = X && top_srcdir=`echo "$0" | sed 's,[^/]*$,,'`../..
+UNAME_MACHINE=unknown
+
+CC="gcc -fPIC"
+CC="gcc -static"
+CC="gcc"
+CFLAGS="-Wall -O2 -fomit-frame-pointer"
+
+# delete the next line to disable assembler support
+UNAME_MACHINE=`(uname -m) 2>/dev/null` || UNAME_MACHINE=unknown
+case $UNAME_MACHINE in
+ i[34567]86)
+ CC="$CC -m32"
+ CPPFLAGS="-DLZO_USE_ASM"
+ LZO_EXTRA_SOURCES=$top_srcdir/asm/i386/src_gas/*.S
+ ;;
+esac
+
+. $top_srcdir/B/generic/build.sh